<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <script src="../../../../../clover.js" type="text/javascript"></script>
  <script src="../../../../../sorttable.js" type="text/javascript"></script>

  <style type="text/css" media="screen">
      @import url('../../../../../style.css');
      @import url('../../../../../roundedcorners.css');
  </style>
<title> HttpClient 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div class="titleText">
      <a href="pkg-summary.html" target="classPane" title="org.apache.http.impl.conn">org.apache.http.impl.conn</a>
    </div>
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  active ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">AbstractClientConnAdapter</span>
            <a class="classlist" target="classPane" href="AbstractClientConnAdapter.html#AbstractClientConnAdapter" title="org.apache.http.impl.conn.AbstractClientConnAdapter">AbstractClientConnAdapter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.052941177</span>
        <i>(5.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractPoolEntry</span>
            <a class="classlist" target="classPane" href="AbstractPoolEntry.html#AbstractPoolEntry" title="org.apache.http.impl.conn.AbstractPoolEntry">AbstractPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.15789473</span>
        <i>(15.8%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractPooledConnAdapter</span>
            <a class="classlist" target="classPane" href="AbstractPooledConnAdapter.html#AbstractPooledConnAdapter" title="org.apache.http.impl.conn.AbstractPooledConnAdapter">AbstractPooledConnAdapter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.042857144</span>
        <i>(4.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicClientConnectionManager</span>
            <a class="classlist" target="classPane" href="BasicClientConnectionManager.html#BasicClientConnectionManager" title="org.apache.http.impl.conn.BasicClientConnectionManager">BasicClientConnectionManager</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.63225806</span>
        <i>(63.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ConnectionShutdownException</span>
            <a class="classlist" target="classPane" href="ConnectionShutdownException.html#ConnectionShutdownException" title="org.apache.http.impl.conn.ConnectionShutdownException">ConnectionShutdownException</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultClientConnection</span>
            <a class="classlist" target="classPane" href="DefaultClientConnection.html#DefaultClientConnection" title="org.apache.http.impl.conn.DefaultClientConnection">DefaultClientConnection</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.58196723</span>
        <i>(58.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultClientConnectionOperator</span>
            <a class="classlist" target="classPane" href="DefaultClientConnectionOperator.html#DefaultClientConnectionOperator" title="org.apache.http.impl.conn.DefaultClientConnectionOperator">DefaultClientConnectionOperator</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.45378152</span>
        <i>(45.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpResponseParser</span>
            <a class="classlist" target="classPane" href="DefaultHttpResponseParser.html#DefaultHttpResponseParser" title="org.apache.http.impl.conn.DefaultHttpResponseParser">DefaultHttpResponseParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8888889</span>
        <i>(88.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultHttpRoutePlanner</span>
            <a class="classlist" target="classPane" href="DefaultHttpRoutePlanner.html#DefaultHttpRoutePlanner" title="org.apache.http.impl.conn.DefaultHttpRoutePlanner">DefaultHttpRoutePlanner</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6969697</span>
        <i>(69.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">DefaultResponseParser</span>
            <a class="classlist" target="classPane" href="DefaultResponseParser.html#DefaultResponseParser" title="org.apache.http.impl.conn.DefaultResponseParser">DefaultResponseParser</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpConnPool</span>
            <a class="classlist" target="classPane" href="HttpConnPool.html#HttpConnPool" title="org.apache.http.impl.conn.HttpConnPool">HttpConnPool</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpConnPool.InternalConnFactory</span>
            <a class="classlist" target="classPane" href="HttpConnPool.html#HttpConnPool.InternalConnFactory" title="org.apache.http.impl.conn.HttpConnPool.InternalConnFactory">HttpConnPool.InternalConnFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpPoolEntry</span>
            <a class="classlist" target="classPane" href="HttpPoolEntry.html#HttpPoolEntry" title="org.apache.http.impl.conn.HttpPoolEntry">HttpPoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.88</span>
        <i>(88%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">IdleConnectionHandler</span>
            <a class="classlist" target="classPane" href="IdleConnectionHandler.html#IdleConnectionHandler" title="org.apache.http.impl.conn.IdleConnectionHandler">IdleConnectionHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.050847456</span>
        <i>(5.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">IdleConnectionHandler.TimeValues</span>
            <a class="classlist" target="classPane" href="IdleConnectionHandler.html#IdleConnectionHandler.TimeValues" title="org.apache.http.impl.conn.IdleConnectionHandler.TimeValues">IdleConnectionHandler.TimeValues</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">InMemoryDnsResolver</span>
            <a class="classlist" target="classPane" href="InMemoryDnsResolver.html#InMemoryDnsResolver" title="org.apache.http.impl.conn.InMemoryDnsResolver">InMemoryDnsResolver</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingSessionInputBuffer</span>
            <a class="classlist" target="classPane" href="LoggingSessionInputBuffer.html#LoggingSessionInputBuffer" title="org.apache.http.impl.conn.LoggingSessionInputBuffer">LoggingSessionInputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">LoggingSessionOutputBuffer</span>
            <a class="classlist" target="classPane" href="LoggingSessionOutputBuffer.html#LoggingSessionOutputBuffer" title="org.apache.http.impl.conn.LoggingSessionOutputBuffer">LoggingSessionOutputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ManagedClientConnectionImpl</span>
            <a class="classlist" target="classPane" href="ManagedClientConnectionImpl.html#ManagedClientConnectionImpl" title="org.apache.http.impl.conn.ManagedClientConnectionImpl">ManagedClientConnectionImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5140187</span>
        <i>(51.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">PoolingClientConnectionManager</span>
            <a class="classlist" target="classPane" href="PoolingClientConnectionManager.html#PoolingClientConnectionManager" title="org.apache.http.impl.conn.PoolingClientConnectionManager">PoolingClientConnectionManager</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5738636</span>
        <i>(57.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ProxySelectorRoutePlanner</span>
            <a class="classlist" target="classPane" href="ProxySelectorRoutePlanner.html#ProxySelectorRoutePlanner" title="org.apache.http.impl.conn.ProxySelectorRoutePlanner">ProxySelectorRoutePlanner</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.70454544</span>
        <i>(70.5%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SchemeRegistryFactory</span>
            <a class="classlist" target="classPane" href="SchemeRegistryFactory.html#SchemeRegistryFactory" title="org.apache.http.impl.conn.SchemeRegistryFactory">SchemeRegistryFactory</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5</span>
        <i>(50%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SingleClientConnManager</span>
            <a class="classlist" target="classPane" href="SingleClientConnManager.html#SingleClientConnManager" title="org.apache.http.impl.conn.SingleClientConnManager">SingleClientConnManager</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.16981132</span>
        <i>(17%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SingleClientConnManager.ConnAdapter</span>
            <a class="classlist" target="classPane" href="SingleClientConnManager.html#SingleClientConnManager.ConnAdapter" title="org.apache.http.impl.conn.SingleClientConnManager.ConnAdapter">SingleClientConnManager.ConnAdapter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SingleClientConnManager.PoolEntry</span>
            <a class="classlist" target="classPane" href="SingleClientConnManager.html#SingleClientConnManager.PoolEntry" title="org.apache.http.impl.conn.SingleClientConnManager.PoolEntry">SingleClientConnManager.PoolEntry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.42857143</span>
        <i>(42.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SystemDefaultDnsResolver</span>
            <a class="classlist" target="classPane" href="SystemDefaultDnsResolver.html#SystemDefaultDnsResolver" title="org.apache.http.impl.conn.SystemDefaultDnsResolver">SystemDefaultDnsResolver</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">Wire</span>
            <a class="classlist" target="classPane" href="Wire.html#Wire" title="org.apache.http.impl.conn.Wire">Wire</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>